@echo off

title Incremental backup

call "%path_dev%cmd\setmyenvvar.cmd"
echo Incremental backup started | nhcolor 0f

set files_folder=%path_doc%
set list_filename=%userprofile%\local settings\temp\incbackup.lst
set backup_folder=\\waru19707\UserDocs\TAC-MAIN-nailmu\

if not exist %backup_folder%* echo Stop: backup folder not accessible && exit b /3
echo Backup server available | nhcolor 0a

dir %files_folder% /A:A-H-S /B /S > "%list_filename%"
if errorlevel 1 exit /b 0

"%localappdata%\nhutils\nhrplc.exe" -spt:"%files_folder%" -t:"" -cp:auto,utf8 "%list_filename%"
echo Backup list prepared | nhcolor 0a

set backup_filename=%backup_folder%incbackup_%date:~-4%%date:~3,2%%date:~0,2%.zip

pushd "%files_folder%"

"%localappdata%\7-zip\7z.exe" u -puyt_786jhg "%backup_filename%" @"%list_filename%"
rem -pnail 

dir /A:A-H-S /B /S | attrib -A /s
rem cmd.exe /u /c dir /A:A-H-S /B /S | attrib -a
rem for /f "delims=" %%i in ('cmd.exe /u /c dir /A:A-H-S /B /S') do cmd.exe /u /c attrib -a "%%i"
rem for /f "delims=" %%i in ('dir /A:A-H-S /B /S') do attrib -a "%%i"
rem for /f "delims=" %%i in ('dir /A:A-H-S /B /S') do @attrib -a "%%i"

popd
del "%list_filename%"

rem pause
